Subject: Info needed about plant "Crossandra"

From: [email-masked]
Date: 5 Nov 1995 13:02:39 GMT

Dear Exotic Plant Fans!

I am a student of the University of Gardening at Budapest, Hungary. I am writing my
M.Sc. thesis about growing tropical plants. I need detailed information about a plant
that my consultant found here (actually he found its seeds, without any specific 
instructions on growing it). All I know about it is the following:

Latin name: CROSSANDRA  ??? (the second word is unreadable)
Family: ACANTHACEAE
Flower: salmon ping, tube shaped
Leaves: shiny, dark green, long
Size: 10-20 cm (4-6 inches) in a pot, 60-100 cm (2-3 feet) in the nature
Origin: tropical, India(?)

I would like to ask everyone who knows this plant or has any valuable information a-
bout it, please send an e-mail to [email-masked]. 

Thank you very much in advance 

Andrew Petry, jr.